Bug 1276846 - [abrt] rhythmbox: g_str_hash(): rhythmbox killed by SIGSEGV
[abrt] rhythmbox: g_str_hash(): rhythmbox killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e6a61e20fc13e9b6c8058eaeb24...
:
: 1332009 1341767 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-31 07:37 EDT by hx
Modified: 2016-12-20 10:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:16:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (60.95 KB, text/plain)
2015-10-31 07:37 EDT, hx
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-31 07:37 EDT, hx
no flags Details
File: core_backtrace (7.73 KB, text/plain)
2015-10-31 07:37 EDT, hx
no flags Details
File: dso_list (31.41 KB, text/plain)
2015-10-31 07:37 EDT, hx
no flags Details
File: environ (1.81 KB, text/plain)
2015-10-31 07:37 EDT, hx
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-31 07:37 EDT, hx
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-31 07:37 EDT, hx
no flags Details
File: maps (138.29 KB, text/plain)
2015-10-31 07:37 EDT, hx
no flags Details
File: mountinfo (3.58 KB, text/plain)
2015-10-31 07:37 EDT, hx
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-31 07:37 EDT, hx
no flags Details
File: open_fds (3.11 KB, text/plain)
2015-10-31 07:37 EDT, hx
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-10-31 07:37 EDT, hx
no flags Details
File: var_log_messages (299 bytes, text/plain)
2015-10-31 07:37 EDT, hx
no flags Details

  None (edit)
Description hx 2015-10-31 07:37:27 EDT
Version-Release number of selected component:
rhythmbox-3.2.1-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        rhythmbox /run/user/1000/gvfs/cdda:host=sr0
crash_function: g_str_hash
executable:     /usr/bin/rhythmbox
global_pid:     4663
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_str_hash at ghash.c:1875
 #1 g_hash_table_lookup_node at ghash.c:375
 #2 g_hash_table_lookup at ghash.c:1147
 #3 rb_refstring_find at rb-refstring.c:122
 #4 rhythmdb_entry_lookup_by_location at rhythmdb.c:3898
 #5 create_entry_for_media at rb-grilo-source.c:553
 #6 grilo_media_browse_cb at rb-grilo-source.c:859
 #7 browse_result_relay_cb at grl-source.c:2351
 #8 grl_l_callback at grl-lua-library.c:1099
 #9 luaD_precall at ldo.c:337

Potential duplicate: bug 1096464
Comment 1 hx 2015-10-31 07:37:32 EDT
Created attachment 1088151 [details]
File: backtrace
Comment 2 hx 2015-10-31 07:37:33 EDT
Created attachment 1088152 [details]
File: cgroup
Comment 3 hx 2015-10-31 07:37:35 EDT
Created attachment 1088153 [details]
File: core_backtrace
Comment 4 hx 2015-10-31 07:37:37 EDT
Created attachment 1088154 [details]
File: dso_list
Comment 5 hx 2015-10-31 07:37:38 EDT
Created attachment 1088155 [details]
File: environ
Comment 6 hx 2015-10-31 07:37:40 EDT
Created attachment 1088156 [details]
File: exploitable
Comment 7 hx 2015-10-31 07:37:41 EDT
Created attachment 1088157 [details]
File: limits
Comment 8 hx 2015-10-31 07:37:44 EDT
Created attachment 1088158 [details]
File: maps
Comment 9 hx 2015-10-31 07:37:45 EDT
Created attachment 1088159 [details]
File: mountinfo
Comment 10 hx 2015-10-31 07:37:47 EDT
Created attachment 1088160 [details]
File: namespaces
Comment 11 hx 2015-10-31 07:37:48 EDT
Created attachment 1088161 [details]
File: open_fds
Comment 12 hx 2015-10-31 07:37:50 EDT
Created attachment 1088162 [details]
File: proc_pid_status
Comment 13 hx 2015-10-31 07:37:51 EDT
Created attachment 1088163 [details]
File: var_log_messages
Comment 14 hx 2016-05-01 03:29:59 EDT
*** Bug 1332009 has been marked as a duplicate of this bug. ***
Comment 15 Gwendal 2016-05-23 03:34:35 EDT
Similar problem has been detected:

Using the plugin "Grilo", I tried to click an the available shared source called "Radio France" at the bottow left of the main window, and it crashed. It seems to always crash when I select this item.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: g_str_hash
executable:     /usr/bin/rhythmbox
global_pid:     7853
kernel:         4.4.9-300.fc23.x86_64
package:        rhythmbox-3.3.1-1.fc23
reason:         rhythmbox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Gayland G. Gump 2016-06-01 13:51:15 EDT
*** Bug 1341767 has been marked as a duplicate of this bug. ***
Comment 17 Fedora Admin XMLRPC Client 2016-09-15 11:16:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Fedora Admin XMLRPC Client 2016-09-16 03:08:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 19 Fedora End Of Life 2016-11-24 07:59:56 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2016-12-20 10:16:32 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.